# texte.h File Reference

## Functions
void | Initialisation_Texte (void)
int | Support_TrueType (void)
void | Ajout_fonte (char *Nom)
byte * | Rendu_Texte (const char *Chaine, int Numero_fonte, int Taille, int AntiAlias, int Bold, int Italic, int *Largeur, int *Hauteur)
char * | Libelle_fonte (int Indice)
char * | Nom_fonte (int Indice)
char * | TrueType_fonte (int Indice)
## Variables
int | Fonte_nombre

## Function Documentation

void Initialisation_Texte | ( | void |  | ) |

References Ajout_fonte(), Fonte_nombre, for_each_file(), Repertoire_des_donnees, and TAILLE_CHEMIN_FICHIER.

Referenced by Initialisation_du_programme().

int Support_TrueType | ( | void |  | ) |

Referenced by Bouton_Stats().

void Ajout_fonte | ( | char * | Nom | ) |

byte* Rendu_Texte | ( | const char * | Chaine,
|  | int | Numero_fonte,
|  | int | Taille,
|  | int | AntiAlias,
|  | int | Bold,
|  | int | Italic,
|  | int * | Largeur,
|  | int * | Hauteur |
| ) |  |  |

References T_FONTE::EstTrueType, Fonte, Fonte_nombre, Rendu_Texte_SFont(), Rendu_Texte_TTF(), and T_FONTE::Suivante.

Referenced by Bouton_Texte().

char* Libelle_fonte | ( | int | Indice | ) |

References Fonte, Fonte_nombre, T_FONTE::Libelle, and T_FONTE::Suivante.

Referenced by Dessiner_selecteur_fontes().

char* Nom_fonte | ( | int | Indice | ) |

References Fonte, Fonte_nombre, T_FONTE::Nom, and T_FONTE::Suivante.

Referenced by Ajout_fonte(), Rendu_Texte_SFont(), and Rendu_Texte_TTF().

char* TrueType_fonte | ( | int | Indice | ) |

References T_FONTE::EstTrueType, Fonte, Fonte_nombre, and T_FONTE::Suivante.

Referenced by Bouton_Texte().

## Variable Documentation

int Fonte_nombre

Referenced by Ajout_fonte(), Bouton_Texte(), Initialisation_Texte(), Libelle_fonte(), Nom_fonte(), Rendu_Texte(), and TrueType_fonte().